## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname stravalib

Name:           python-%{srcname}
Version:        1.7
Release:        %autorelease
Summary:        Python package to access and download data from Strava

License:        Apache-2.0
URL:            https://pypi.org/project/stravalib/
Source:         %{pypi_source %{srcname}}
# From https://github.com/stravalib/stravalib/tree/pydantic-v2
Patch:          %{srcname}-pydantic-v2.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
The stravalib Python package provides easy-to-use tools for accessing and
downloading Strava data from the Strava V3 web service.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x build,tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Aug 31 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.7-1
- Initial import; Fixes: RHBZ#2295120
## END: Generated by rpmautospec
